Smart class parameter merge issue (array inside hash)

10/26/2017 01:50 PM - thomas therouanne

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.15.6

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Array inside a hash are not merged (array and nested hash merges properly)

I try to override a parameter on a host by adding an item to a list inside a hash but the list is not merged with the default value

"Merge overrides" and "Merge default" enabled on the class parameter, datatype hash

Default parameter value:

myUser:

  sshkeys:

    - publicKey1

 I want to add a specific key on a host,

host override value:

myUser:

  sshkeys:

    - publicKey2

 Value kept on the host:

myUser:

  sshkeys:

    - publicKey2

 Expected value on the host:

myUser:

  sshkeys:

    - publicKey1

    - publicKey2

History

#1 - 10/28/2017 09:09 AM - Kavita Gaikwad

- Target version set to 1.15.6

#2 - 07/23/2018 09:25 AM - Tomer Brisker

- Target version deleted (1.15.6)
